Subject: Re: multiple .gitignore and friends in same workdir possible?

From: Konrad Karl <[email-masked]>
Date: Fri, 23 Apr 2010 16:32:48 +0200

Hi

On Fri, Apr 23, 2010 at 03:01:42PM +0200, Sverre Rabbelier wrote:
> Heya,
> 
> On Fri, Apr 23, 2010 at 14:46, Konrad Karl <[email-masked]> wrote:
> > Is this currently possible or am I missing something? It would ease
> > my task a lot.
> 
> I assume that each repo has it's own gitdir, in which case it has it's
> own config file, so you could just use "git config core.excludesfile
> .gitignore.one"?

yes I could (i confess I was not aware of this config var) but
the fine manual says:

  In _addition_ to .gitignore (per-directory) and .git/info/exclude, 
  git looks into this file for patterns of files which are not meant to be tracked.

so if there was some way to _not_ consider the standard .gitignore &friends
I would be happy to live with.

Greetings,
Konrad

> -- 
> Cheers,
> Sverre Rabbelier